summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-08-08 11:41:37 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-08-11 00:09:28 +0100
commitf1e434cce41e33122bf4fdab58d8a788b0669a7b (patch)
tree9713380728a4ea849e0d977b6dda5297e16f6663
parent8c4f1a70c97b0683003ea91cc41d1891f7484201 (diff)
test suite: http-git-check: New provision
Importing this makes us use a local http server for the git check. It's a setup so that it can imply the http-git-check dependency. Right now nothing imports this so no functional change. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
-rwxr-xr-xtests/setup/http-git-check15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/setup/http-git-check b/tests/setup/http-git-check
new file mode 100755
index 0000000..0e3b7c2
--- /dev/null
+++ b/tests/setup/http-git-check
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-dependencies libhttp-server-simple-static-perl
+
+t-setup-done '' --files-from=/dev/null '
+ $troot/http-static-server >$tmp/must-clean/git-check.port $tmp/git
+ read <$tmp/must-clean/git-check.port git_check_port
+
+ t-git-config --global dgit-distro.test-dummy.git-check url
+ t-git-config --global dgit-distro.test-dummy.git-check-suffix .git/HEAD
+ t-git-config --global dgit-distro.test-dummy.git-check-url \
+ http://127.0.0.1:$git_check_port
+'